# Copyright (c) 2004 Guido Wesdorp. All rights reserved.
# See also LICENSE.txt
# $Id: HomePublication.py,v 1.3 2005/01/20 12:54:30 guido Exp $
from Globals import InitializeClass
from AccessControl import ClassSecurityInfo
from Products.PageTemplates.PageTemplateFile import PageTemplateFile
from Products.SilvaMetadata.Compatibility import registerTypeForMetadata
from Products.Silva import SilvaPermissions
from Products.Silva.helpers import add_and_edit
from Products.Silva.SilvaObject import SilvaObject
from Products.Silva.Publication import Publication
from Products.Silva.interfaces import IContainer, IPublication, IAsset
from Products.Silva import mangle
from DateTime import DateTime
from Products.Silva.ExtensionRegistry import extensionRegistry

from Products.ProxyIndex.ProxyIndex import RecordStyle

import re

icon = "www/silvageneric.gif"

class HomePublication(Publication):
    """Silva Home Publication"""

    security = ClassSecurityInfo()
    meta_type = 'Silva Home Publication'
    __implements__ = (IContainer, IPublication)

    def __init__(self, id):
        Publication.__init__(self, id)

    def get_silva_addables_allowed_in_publication(self):
        """return a list of allowed meta types in this type of object"""
        root = self.get_root()
        addables = extensionRegistry.get_addables()
        result = ['Silva Abstract Document']
        return result
    
InitializeClass(HomePublication)

def manage_addHomePublication(self, id, username, REQUEST=None):
    if not mangle.Id(self, id).isValid():
        return
    o = HomePublication(id)
    self._setObject(id, o)
    object = getattr(self, id)
    object.set_title(username)
    add_and_edit(self, id, REQUEST)
    return ''

manage_addHomePublicationForm = PageTemplateFile(
                                "www/silvaHomePublicationAdd", 
                                globals(),
                                __name__='manage_addHomePublicationForm')

registerTypeForMetadata(HomePublication.meta_type)
