from Products.Silva.ExtensionRegistry import extensionRegistry
import install
from Products.FileSystemSite.DirectoryView import registerDirectory

import ConferenceService
import HomePublication
import RegistrationInformation

# monkeypatch to allow querying the MySQL database with raw SQL
# this allows us to use the DB without having to set up an entirely
# new connection
import mysqlUserFolderExtensions

def initialize(context):
    extensionRegistry.register(
        'SilvaConferenceExtension', 'Silva Conference Extension', context, 
        [HomePublication, RegistrationInformation], install, 
        depends_on='SilvaMySQLMembership')
        
    context.registerClass(
        ConferenceService.ConferenceService,
        constructors = (ConferenceService.manage_addConferenceServiceForm,
                        ConferenceService.manage_addConferenceService),
        )

    registerDirectory('views', globals())
