create database Zope;
use Zope;

#
# Table structure for table 'MiscData'
#
CREATE TABLE MiscData (
  OId int(11) DEFAULT '0' NOT NULL,
  OClass char(15) DEFAULT '' NOT NULL,
  MId char(30) DEFAULT '' NOT NULL,
  Value_int int(11),
  Value_string char(100),
  PRIMARY KEY (OId,OClass,MId)
);

#
# Table structure for table 'Roles'
#
CREATE TABLE Roles (
  Id int(11) DEFAULT '0' NOT NULL auto_increment,
  Rolename char(20) DEFAULT '' NOT NULL,
  Realm char(10) DEFAULT '' NOT NULL,
  PRIMARY KEY (Id),
  UNIQUE Realm (Realm,Rolename)
);

#
# Table structure for table 'Sessions'
#
CREATE TABLE Sessions (
  Id int(11) DEFAULT '0' NOT NULL auto_increment,
  Id_User int(11) DEFAULT '0' NOT NULL,
  PRIMARY KEY (Id)
);

#
# Table structure for table 'Tokens'
#
CREATE TABLE Tokens (
  Id int(11) DEFAULT '0' NOT NULL,
  Class char(15) DEFAULT '' NOT NULL,
  Value char(50),
  Created double(16,4) DEFAULT '0.0000' NOT NULL,
  Accessed double(16,4) DEFAULT '0.0000' NOT NULL,
  Timeout int(11) DEFAULT '0' NOT NULL,
  Life int(11) DEFAULT '0' NOT NULL,
  Realm char(10) DEFAULT '' NOT NULL,
  PRIMARY KEY (Id,Class)
);

#
# Table structure for table 'UserRoles'
#
CREATE TABLE UserRoles (
  Id_User int(11) DEFAULT '0' NOT NULL,
  Id_Role int(11) DEFAULT '0' NOT NULL,
  PRIMARY KEY (Id_User,Id_Role),
  KEY Id_User (Id_User),
  KEY Id_Role (Id_Role)
);

#
# Table structure for table 'Users'
#
CREATE TABLE Users (
  Id int(11) DEFAULT '0' NOT NULL auto_increment,
  Username char(60) DEFAULT '' NOT NULL,
  Realname char(50) default NULL,
  Password char(32) default NULL,
  PasswordType int(11) DEFAULT '0' NOT NULL,
  Domains char (160) DEFAULT '' NOT NULL,
  Realm char(10) DEFAULT '' NOT NULL,
  EMail varchar(255) default NULL,
  # BEGIN SILVA-SPECIFIC FIELDS
  Salutation char(4) default NULL,
  Mytitle char(16) default NULL,
  Lastname varchar(255) default NULL,
  Firstname varchar(255) default NULL,
  MateLastName varchar(255) default NULL,
  MateFirstName varchar(255) default NULL,
  Company varchar(255) default NULL,
  Department varchar(255) default NULL,
  Street varchar(255) default NULL,
  Zip char(50) default NULL,
  City varchar(255) default NULL,
  Country varchar(255) default NULL,
  Phone char(50) default NULL,
  Fax char(50) default NULL,
  Comments varchar(255) default NULL,
  DoB date default NULL,
  Esr integer(1) default NULL,
  DueFee decimal default '0',
  ReceivedFee decimal default '0',
  Arrival date default NULL,
  Departure date default NULL,
  Participation varchar(32) default NULL,
  ConferencePackage varchar(32) default NULL,
  Room varchar(32) default NULL,
  Smoking varchar(32) default NULL,
  FinalizedRegistration integer(1) default 0,
  # END SILVA-SPECIFIC FIELDS
  PRIMARY KEY (Id),
  UNIQUE Realm (Realm,Username)
);

#
# Table structure for table 'Log'
#

CREATE TABLE Log (
  Id int(11) NOT NULL auto_increment,
  Realm char(10) DEFAULT '' NOT NULL,
  Id_Session int(11),
  Event char(10) DEFAULT '' NOT NULL,
  EValue char(200),
  EValue2 char(200),
  OType char(30),
  OSize int(11),
  RAddr char (15),
  Time timestamp(14),
  PRIMARY KEY (Id)
);

