"""A set of monkeypatches to add generic querying functionality to 
    mysqlUserFolder

    a tad nasty, since we use mysqlUserFolder as a proxy between MySQL and 
    code that has nothing to do with managing users, but it mysqlUserFolder
    has everything that we need, a MySQL connection and all data required
    to query it
"""

# XXX Note about a little nastyness: since mysqlUserFolder uses the __ 
# notation to make certain variables that we want to use from our 
# monkeypatches 'private' we have to mangle their names 
# (_<classname>__<methodname>') to access them

from Products.mysqlUserFolder.vdb import UserDb

def raw_query(self, query, param=()):
    return self.db._dbConnection__do_query(query, param)

UserDb.raw_query = raw_query

from Products.mysqlUserFolder.mysqlUserFolder import mysqlUserFolder

def rawQuery(self, query):
    self._mysqlUserFolder__check_connection()
    return self._v_user_db.raw_query(query)

mysqlUserFolder.rawQuery = rawQuery
